/////////////////////////////////////////////////////////////
// CINEMA 4D SDK                                           //
/////////////////////////////////////////////////////////////
// (c) 1989-2004 MAXON Computer GmbH, all rights reserved  //
/////////////////////////////////////////////////////////////

#ifndef __C4DVIDEOPOST_H
#define __C4DVIDEOPOST_H

#include "c4d_baselist.h"
#include "c4d_videopostplugin.h"

class PluginVideoPost : public BaseList2D
{
	private:
		PluginVideoPost();
		~PluginVideoPost();
	public:
		PluginVideoPost* GetNext(void) { return (PluginVideoPost*)AtCall(GetNext)(); }
		PluginVideoPost* GetPred(void) { return (PluginVideoPost*)AtCall(GetPred)(); }

		static PluginVideoPost *Alloc(LONG type);
		static void Free(PluginVideoPost *&bl);
};

#endif
